#pragma once
#include "MicroBehaviour.h"
#include "ParticleGenerator.h"

class Army;

class SupportingObserverMicroBehaviour : public MicroBehaviour {
public:
	SupportingObserverMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();
	void setTargetArmy(Army* a);
	void clearTargetArmy();

private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;
	Position armyEye;
	bool attacking;
	bool moving;
	Army* targetArmy;


protected:


};